
Katello - Bug #5104

undefined method `redhat?' for nil:NilClass

04/08/2014 03:32 AM - Thomas Cameron

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm using Red Hat Satellite 6, nightly build. I created an organization called My Org, uploaded a manifest to it, synced some content,

removed the manifest, and deleted the org. I got:

Warning!

undefined method `redhat?' for nil:NilClass

NoMethodError

undefined method `redhat?' for nil:NilClass

app/controllers/concerns/foreman/controller/taxonomies_controller.rb:89:in `destroy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

I'll upload an sosreport in a minute.

Related issues:

Related to Katello - Feature #6180: Implement org destroy Closed 06/12/2014

History

#1 - 04/08/2014 03:38 AM - Thomas Cameron

This system won't let me upload the sosreport, it's over 5 megs. I've posted it to http://camerontech.com/foreman/5104/

I should have mentioned - the organization still appears to be there, but when I try to select it as my org and navigate around to e.g. Red Hat

Subscriptions, the little spinning icon just spins and spins.

#2 - 04/08/2014 07:51 AM - Dominic Cleal

- Project changed from Foreman to Katello

- Triaged set to No

I'd suggest getting the full strack trace with debugging enabled: 

http://projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-do-I-enable-debugging

#3 - 04/08/2014 08:30 PM - Lukas Zapletal

Out of curiousity - does foreman-debug command allow you to upload the tarball?

Do not worry to upload it, only Foreman core developers will be able to read it. Thanks!

#4 - 04/24/2014 08:21 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#5 - 06/04/2014 12:48 PM - Eric Helms

- Category set to API

- Triaged changed from No to Yes
#6 - 06/05/2014 03:44 AM - Eric Helms

- Target version set to 45

#7 - 06/12/2014 06:43 PM - Eric Helms

- Related to Feature #6180: Implement org destroy added

#8 - 06/12/2014 06:43 PM - Eric Helms

- Target version deleted (45)

#9 - 06/16/2014 12:02 PM - Eric Helms

- Target version set to 48

#10 - 06/23/2014 08:42 PM - Justin Sherrill

- Status changed from New to Assigned

- Assignee set to David Davis

Assigning to david since he is working on org deletion

#11 - 07/07/2014 07:43 AM - Eric Helms

- Target version changed from 48 to 49

#12 - 07/28/2014 08:41 AM - Eric Helms

- Target version changed from 49 to 54

#13 - 07/29/2014 10:54 AM - David Davis

- Status changed from Assigned to Closed

I performed the following steps:

1. Imported manifest

2. Enabled RH repos

3. Synced RH repos

4. Removed manifest

5. Deleted org

And didn't receive an error. The code in question has gone through several iterations so I think it was probably fixed at some point.
